package fr.emse.gitlab.saref;

import java.io.File;
import java.nio.file.FileSystems;
import java.nio.file.PathMatcher;
import java.util.regex.Pattern;

public class Constants {
	public final static String BASE = "https://saref.etsi.org/";

	public final static String LOGGER_BASE = "fr.emse.gitlab.saref.logger";
	
	public static final String REGEX_EXT = "(?<ext>core|saref4[a-z]{4})";
	public static final String REGEX_VERSION = "v(?<major>[1-9][0-9]*)\\.(?<minor>[0-9]+)\\.(?<patch>[0-9]+)";

	public static final String REGEX_ONTO_SERIES_URI = "^" + BASE + REGEX_EXT + "/$";
	
	// output 
	
	public static final String TARGET_DIR = "target";
	public static final String DATASET_DIR = TARGET_DIR + File.separator + "tdb";
	public static final String LOG_FILE_NAME = TARGET_DIR + File.separator + "output.log";
	public static final String SITE_DIR = TARGET_DIR + File.separator + "site";
	public static final String STATIC_TARGET_DIR = SITE_DIR + File.separator + "static";

	public static final String CONFIG = BASE + "config";
	
}
